{% include 'component/upper.html' %}
{% include 'component/navbar.html' %}


<!-- Content Tabel -->
<div class="container mt-180 mb-5">

  <!-- Notif sukses tambah -->
  {% if message %}
  <div class="row justify-content-center">
    <div class="col-6">
      <div class="alert alert-success text-center">
        <p class="fs-5 mb-0">{{message}}</p>
      </div>
    </div>
  </div>
  {% endif %}

  <!-- Title -->
  <h1 class="text-center">Data Siswa SMAN 118 JAKARTA</h1>

  <!-- Tabel -->
  <div class="row mt-5 justify-content-center">
    <div class="col-10">
      <div class="row justify-content-end">
        <div class="col-2">
          <a class="btn btn-primary mb-2 text-center container-fluid" href="{{url_for('tambahSiswa')}}">Tambah</a>
        </div>
      </div>
      <table class="table table-striped table-primary text-center">
        <thead>
          <tr class="align-middle">
            <th scope="col">No.</th>
            <th scope="col">Nama</th>
            <th scope="col">NISN</th>
            <th scope="col">Nomor Telepon</th>
            <th scope="col">Jenis Kelamin</th>
            <th scope="col">Alamat</th>
            <th scope="col">Edit / Delete</th>
          </tr>
        </thead>
        <tbody>
          {% for x in dataSiswa %}
          <tr>
            <th scope="row">{{x["index"]}}</th>
            <td>{{x["nama"]}}</td>
            <td>{{x["nisn"]}}</td>
            <td>{{x["no_telp"]}}</td>
            <td>{{x["jenis_kelamin"]}}</td>
            <td>{{x["alamat"]}}</td>
            <td>
              <div class="d-flex justify-content-center">
                <!-- Tombol Edit -->
                <form action="{{url_for('editSiswa', id=x['id'])}}" method="GET">
                  <button class="btn btn-primary btn-sm mx-1"><i class="bi bi-pencil-square"></i></button>
                </form>

                <!-- Tombol Delete -->
                <form action="{{url_for('deleterow', id=x['id'])}}" method="PUT">
                  <button type="submit" class="btn btn-danger btn-sm mx-1"><i class="bi bi-trash3"></i></button>
                </form>
              </div>
            </td>
          </tr>
          {% endfor %}
        </tbody>
      </table>
    </div>
  </div>


</div>

{% include 'component/lower.html' %}